#!/bin/sh

root=/usr/local/share/texmf
adobefiles=adobe

echo "Installing Adobe Garamond/MathKit into texmf tree"
echo "   $root/"
echo "Taking original Adobe Garamond font files (gd*___.afm, gd*___.pfb)"
echo "   from directory $adobefiles/"
echo "Use this script at your own risk!"
echo -n "Press ENTER to start or Ctrl-C to abort."
read x

set -e -x
cp -ai texmf/* $root/
cd $adobefiles || exit 1
  cp gdrg____.pfb padr8a.pfb
  cp gdsc____.pfb padrc8a.pfb
  cp gdttl___.pfb padrd8a.pfb
  cp gdi_____.pfb padri8a.pfb
  cp gdsb____.pfb pads8a.pfb
  cp gdrg____.afm padr8a.afm
  cp gdsc____.afm padrc8a.afm
  cp gdttl___.afm padrd8a.afm
  cp gdi_____.afm padri8a.afm
  cp gdsb____.afm pads8a.afm
cd ..
mv $adobefiles/pad*.pfb $root/fonts/type1/Adobe/Adobe-Garamond/
mv $adobefiles/pad*.afm $root/fonts/afm/Adobe/Adobe-Garamond/
cat $root/dvips/config/psfonts.map.zadpad >> $root/dvips/config/psfonts.map
mktexlsr $root

set +x

echo -n "Finished. Press ENTER to test"
read x
latex test
dvips -o test.ps test

echo "Test result: " test.*